---
title: 【记录】搭建远程edge浏览器
urlname: -ji-lu--da-jian-yuan-cheng-edge-liu-lan-qi
date: 2023-08-31 22:33:46
index_img: https://api.limour.top/randomImg?d=2023-08-31 22:33:46
tags: [docker, ngpm]
excerpt: 通过web访问的远程桌面和https之间的特征区别很少。因此，可以搭建通过web访问的远程edge浏览器，以避免New Bing对IP的检测。搭建kasmweb-edge和反代服务，设置默认账户为kasm_user。使用docker-compose启动服务，并设置VNC密码和应用参数。使用Nginx Proxy Manager进行反向代理，但需要在浏览器中获取认证信息并添加到Header中，然后在Nginx Proxy Manager中设置新的认证。
---
通过 web 访问的远程桌面和 https 的特征区别较少，因此可以搭建通过 web 访问的远程 edge 浏览器，避开 New Bing (误) 对 ip 的检测。
## 搭建 kasmweb-edge
+ [搭建反代服务](/Docker-bu-shu-Nginx-Proxy-Manager)
```bash
mkdir -p ~/app/edge && cd ~/app/edge && nano docker-compose.yml
sudo docker-compose up -d
# 默认账户：kasm_user
# proxy_set_header Authorization "Basic a2FzbV91c2VyOnBhc3N3b3Jk";
```
```yml
version: '3.3'
services:
  kasmweb-edge:
    restart: unless-stopped
    shm_size: "512m"
    environment:
      - VNC_PW=password
      - LAUNCH_URL=http://wlrz.fudan.edu.cn
      - APP_ARGS=--start-maximized --no-sandbox
    image: kasmweb/edge:1.14.0

networks:
  default:
    external: true
    name: ngpm
```
## 反代 edge
Nginx Proxy Manager 向后传递 Authorization 有问题，需要自己到浏览器中截获相应的认证，加到 Header 中，之后重新到 Nginx Proxy Manager 中设一个新的认证
![](https://img.limour.top/2023/08/31/64f0a55200107.webp)
